Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.examples.nurserostering.domain.contract
Class ContractLine

    java.lang.Object
      org.optaplanner.examples.common.domain.AbstractPersistable
          org.optaplanner.examples.nurserostering.domain.contract.ContractLine

All Implemented Interfaces:
  Serializable, Comparable<AbstractPersistable>

Direct Known Subclasses:
  BooleanContractLine, MinMaxContractLine

    public abstract class ContractLine

extends AbstractPersistable

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.optaplanner.examples.common.domain.AbstractPersistable
`id`

Constructor Summary
`ContractLine()`

Method Summary
`Contract` | `getContract()`
`ContractLineType` | `getContractLineType()`
`abstract boolean` | `isEnabled()`
`void` | `setContract(Contract contract)`
`void` | `setContractLineType(ContractLineType contractLineType)`
`String` | `toString()`

Methods inherited from class org.optaplanner.examples.common.domain.AbstractPersistable
`compareTo, getId, setId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContractLine

    public ContractLine()

Method Detail

### getContract

    public Contract getContract()

### setContract

    public void setContract(Contract contract)

### getContractLineType

    public ContractLineType getContractLineType()

### setContractLineType

    public void setContractLineType(ContractLineType contractLineType)

### isEnabled

    public abstract boolean isEnabled()

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractPersistable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.